package space.kklochko.jdbc_hospital_example.db.repositories.blocks;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class TransactionalInsert {
    public ResultSet run(Connection connection, PreparedStatement insertStatement) throws SQLException {
        try {
            ResultSet result = insertStatement.executeQuery();
            connection.commit();

            return result;
        } catch (SQLException e) {
            connection.rollback();
        }

        return null;
    }
}
